> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import flashcards from Quizlet

> Add a Quizlet set exported as text to the user's flashcards.



## OpenAPI

````yaml post /import-from-quizlet
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /import-from-quizlet:
    post:
      tags:
        - Card management
      summary: Import flashcards from Quizlet
      description: Add a Quizlet set exported as text to the user's flashcards.
      operationId: importFromQuizlet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jwtToken
                - folder
                - flashcards
                - term_def_separator
                - term_separator
                - flashcard_name
              properties:
                jwtToken:
                  type: string
                  description: Authentication token.
                  example: >-
                    eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImEzMmZkZDRiMTQ2Njc3NzE5YWIyMzcyODYxYmRlZDg5In0.eyJpc3MiOiJodHRwOi8vZG9scGhpbmZsYXNoY2FyZHMuY29tIiwiYXVkIjoiYXBpIiwic3ViIjoidU5RR2lIencxdk9EaExybTVDRWtaQ1ZoTU93MSIsImFjY2Vzc190b2tlbiI6IjRiZTA2NDNmLTFkOTgtNTczYi05N2NkLWNhOThhNjUzNDdkZCIsImFjY2Vzc190b2tlbl9yYXciOiJ0ZXN0IiwiaWF0IjoxNzI2Nzc0MTYzfQ.F-fxFitPQF-gGHyhGPGxE_zj_b8XJybqe4J_iYG66BC4Dqm4LTb8RpcDLyYUhRCcpphihpWGbdp
                folder:
                  type: string
                  description: >-
                    The name of the folder containing the flashcard sets. Set to
                    "" to set as a top level flashcard, otherwise set it to the
                    parent folder name. If there are multiple parent folders,
                    add the folder name seperated by /
                  example: top-level-parent-name/parent-name-2/parent-name-3
                flashcards:
                  type: string
                  description: Copied flashcard data from Quizlet
                  example: term1:definition1\nterm2:definition2
                term_def_separator:
                  type: string
                  description: Separator between term and definition
                  example: ','
                term_separator:
                  type: string
                  description: Separator between term-definition pairs
                  example: \n
                flashcard_name:
                  type: string
                  description: Name of the flashcard set
      responses:
        '200':
          description: Flashcards imported successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  flashcard_id:
                    type: string
                  flashcard_name:
                    type: string
                  card_count:
                    type: integer
        '400':
          description: Invalid request format or flashcard parsing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string

````